Bug 6308 - Show number of comments on the "Comments" tab in OPAC
Summary: Show number of comments on the "Comments" tab in OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Magnus Enger
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-05 12:56 UTC by Magnus Enger
Modified: 2012-10-25 23:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.49 KB, patch)
2011-05-05 20:15 UTC, Magnus Enger
Details | Diff | Splinter Review
0 comments shown when there is a comment (23.57 KB, image/png)
2011-05-06 01:52 UTC, Nicole C. Engard
Details
Fixed patch (1.48 KB, patch)
2011-05-06 09:04 UTC, Magnus Enger
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2011-05-05 12:56:42 UTC
On the detail view in the OPAC, it would save users a useless click when a record has no comments if the number of comments was displayed as part of the name of the tab, the same way it is done for holdings.
Comment 1 Magnus Enger 2011-05-05 20:15:39 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2011-05-06 01:52:17 UTC
I tested and the comments tab always says 0 even if there is a comment.
Comment 3 Nicole C. Engard 2011-05-06 01:52:43 UTC
Created attachment 4046 [details]
0 comments shown when there is a comment
Comment 4 Magnus Enger 2011-05-06 09:04:29 UTC
Created attachment 4049 [details] [review]
Fixed patch

This new patch should display the number of comments correctly.
Comment 5 Magnus Enger 2011-05-06 09:05:21 UTC
Comment on attachment 4043 [details] [review]
Proposed patch

[% reviews.max %] should be [% reviews.size %]
Comment 6 Chris Cormack 2011-05-10 20:50:15 UTC
Pushed and merged to master, please test